cocoapods 的安装与使用

1 升级Ruby环境

$ sudo gem update --system

2 更换Ruby镜像

首先查看当前镜像

$ gem sources -l

结果:*** CURRENT SOURCES *** https://rubygems.org/

移除现有的Ruby镜像

$ gem sources --remove https://rubygems.org/

添加国内最新镜像源(淘宝的Ruby镜像已经不更新了)

$ gem sources -a https://gems.ruby-china.org/

3 安装

$ sudo gem install cocoapods

4 修改 xcode 路径(如果你安装了多个 xcode 的话)

$ sudo xcode-select --switch /Applications/Xcode.app/Contents/Developer

$ sudo xcode-select -s /Applications/Xcode.app/Contents/Developer

5 检查是否安装成功

$ pod search AFNetworking

6 安装失败

**方法1.**如果安装失败 ~/.cocoapods 里面是空的,就需要重新setup

$ pod repo remove master

$ pod setup

若 set up 出现错误:

Setting up CocoaPods master repo

[!] /usr/bin/Gitclone 'https://github.com/CocoaPods/Specs.git' master --depth=1

Cloning into 'master'...

error: RPC failed; result=52, HTTP code = 0

fatal: The remote end hung up unexpectedly

可能原因有: 1. gem版本太低;2.github无法链接;3. cocoapods目录下的配置信息错误

  1. 首先更新gem到最新版本(步骤1)
  2. 然后检查是否可以ping通github,在终端中输入:$ ping github.com
  3. 然后查看pob repo list:$ pod repo list , 结果显示0 repos,说明没有安装成功;
  4. 删除.cocoapods目录,重新下载pod更新:$ cd ~/.cocoapods/ $ sudo -rm -rf ~/.cocoapods/
  5. 重新执行 $ pod setup

方法2.从已经安装好的电脑中 /.cocoapods目录下的repo目录拷贝下来,放进自己的目录里。再 pod setup

方法3.方法1 因为项目太大,失败了。这个方法对于我来说是可以的。

cd 到 repos 目录下,用 git clone 拉取但是还是因为项目太大失败了。

加上只拉取深度为1的条件就拉取成功了。


7 使用 cocoapods

1.创建 podfile (也可以使用 pod init)

$ cd 路径(路径为 xcodeproj 层 的路径)

$ touch Podfile

$ open Podfile

2.编辑 podfile(也可以用文本编辑器打开)

如果有用到 swift 的库 需要加 use_frameworks! 3.2.1是版本号, pod ' xxxxx' 则下载最新的库。


3.关闭后执行

$ pod install

4.打开 workspace ,可以发现 下载的库已经导入成功。

5.如果更新了 podfile,需执行 pod install 或者 pod update。

pod install 和 pod update 的区别:

使用pod install来安装新的库,会完全替换之前下载过的库;所以添加或移除库,都应该使用pod install。

更新库其他版本时使用pod update。

阅读更多
文章标签: iOS cocoa pods
个人分类: iOS
上一篇Mesh 网格类
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭